Skip to main content
GET
Topic labeling health coverage

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

id
integer
required

The numeric ID of the account

Query Parameters

weeks
integer
default:12

Coverage and correction window in calendar weeks.

Required range: 1 <= x <= 26
backlog_days
integer
default:90

Unlabeled age window in days.

Required range: 1 <= x <= 365

Response

Actual synthetic request response; see topic analytics evidence.

Weekly and total main-topic coverage.

weeks
object[]
required

Every week in the window, oldest first.

conversations
integer
required

Conversations created in the window.

Required range: x >= 0
labeled
integer
required

Conversations with a current, non-superseded rank 1 topic.

Required range: x >= 0
coverage
number | null
required

Labeled / conversations rounded to four decimals; null with zero conversations.

Required range: 0 <= x <= 1
lowVolume
boolean
required

True below minimumConversations; counts and ratios are still returned.

minimumConversations
integer
required

Conversation warning threshold, currently 30.

Required range: x >= 0